Pidgin-plus con gradienti

Ecco i gradienti all'opera! :-)
Ecco i gradienti all'opera! :-)

Un’immagine vale più di 1000 parole, e quindi ecco il frutto dei miei sforzi di programmazione di oggi pomeriggio :-)

Siccome l’autore del plugin pidgin-plus non si sente da un po’, ho deciso di prendere in mano il codice e di implementare questa caratteristica assente ormai da parecchio :-)

Known issues

Ci sono alcune “serie di sfortunati eventi” che non funzionano, eccone alcune:

  • gradienti con all’interno dei caratteri come questi: <, lettere accentate (èòàìù), caratteri strani (✿, ♫…) corretto nella versione 0.2.0.
  • a volte anche se contengono delle parentesi quadre.

Ovviamente spero di riuscire a risolvere il tutto al più presto :-) ma dovrebbe funzionare nel 90% dei casi.

Dove trovare il tutto

Per il codice e tutte le cose di sviluppo vi mando sul repository su GitHub, mentre per chi non si vuole sbattere può prendere il pacchetto .deb dalla pagina del mio repository, scegliendo l’architettura preferita. (chi ha già il mio repository attivo, basta che faccia un aggiornamento e si troverà questa versione aggiornata).

Per favore fate parecchi test e ditemi con quali pattern (nick) non funziona a dovere, incollandomeli qui nei commenti.

99 commenti su “Pidgin-plus con gradienti”

  1. Hi…
    Now I’ve downloaded, installed and activated, but isn’t working…
    I think that’s because I’ll still need to change my MSN dll from the pidgin to work.
    Ps.: I’m using version 2.6.4.

    Thanks again,
    Ícaro Scherma.

  2. @Bolla: ottimo lavoro davvero, potresti farmi la cortesia di riportare qui esempi concreti di pattern non funzionanti, in modo che possa verificare cosa non funziona? :-) Grazie!

  3. Ecco:

    Parentesi graffe:

    [i][c=4]Lo Ste[/c=1][/i] [-25!] {Creo}

    Lettere accentate:

    [c=39]Nick…Io credo semplicemente che quello che non ti uccide, ti rende più… strano[/c=45]

    [c=38][i](R).Fabbbbbrìì.(R) You Know You Love Me.[/i][/c=8]

  4. @Bolla: oooooooops!!! :-D avevo creato l’installer per windows con del codice ultra vecchio, tipo la versione 0.1, ora ho ri-uppato il file del plugin, potresti riprovare?

  5. @Bolla: hum, dovrebbe essere in realtà l’ultima versione, prima avevo sbagliato a creare l’installer ma ora dovrebbe contenere il codice aggiornato. Per ulteriore sicurezza ho rifatto l’installer e riuppato allo stesso indirizzo qui :-)

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

:o) :-D :-( ;-) :-P =-O 8-) :-/ O:-) :-! >:o C:-) :-(|) O-) :@ :-[ (B) (^) (P) (@) (O) (D) :-S ;-( (C) (&) :-$ (E) (~) :-* (I) (L) (8) (T) (G) (F) (*) (N) (Y) (U) (W)